Name:           python-gdbgui
Version:        0.15.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Browser-based frontend to gdb. Debug C, C++, Go, or Rust.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/cs01/gdbgui
Source:         %{pypi_source gdbgui}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gdbgui' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gdbgui
Summary:        %{summary}

%description -n python3-gdbgui %_description


%prep
%autosetup -p1 -n gdbgui-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gdbgui -f %{pyproject_files}


%changelog
%autochangelog